summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-admin/hddtemp/files/update-hddtemp.db')
-rwxr-xr-xapp-admin/hddtemp/files/update-hddtemp.db33
1 files changed, 33 insertions, 0 deletions
diff --git a/app-admin/hddtemp/files/update-hddtemp.db b/app-admin/hddtemp/files/update-hddtemp.db
new file mode 100755
index 000000000000..0a8c665b8794
--- /dev/null
+++ b/app-admin/hddtemp/files/update-hddtemp.db
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+update_db() {
+ local src=$1
+ local dst=$2
+
+ while read line ; do
+ if [[ -z $(echo "${line}" | sed -re 's/(^#.*|^\w*$)//') ]]; then
+ echo "${line}" >> "${dst}"
+ fi
+
+ id=$(echo "${line}" | grep -o '"[^"]*"')
+
+ grep "${id}" "${dst}" 2>&1 >/dev/null || echo "${line}" >> "${dst}"
+ done < "${src}"
+}
+
+die() {
+ echo "$*"
+ exit 1
+}
+
+cd /usr/share/hddtemp
+wget http://download.savannah.nongnu.org/releases/hddtemp/hddtemp.db -O hddtemp.db -q || die "Failed to download new hddtemp.db file"
+
+# Try to get the Gentoo HDD DB from WebCVS. If that fails, just use the Gentoo HDD database
+# that was installed by the ebuild.
+if wget http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/app-admin/hddtemp/files/hddgentoo.db -O hddtmp.db -q; then
+ mv -f hddtmp.db hddgentoo.db
+fi
+
+update_db "hddgentoo.db" "hddtemp.db"
+